﻿using System;
using System.Windows.Forms;

namespace Bevelstone.EditVoicepack.ExampleInstaller
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            AppDomain.CurrentDomain.UnhandledException += UnhandledExceptionHandler;
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());
        }

        static void UnhandledExceptionHandler(object sender, UnhandledExceptionEventArgs e)
        {
            string message;
            Exception ex = e.ExceptionObject as Exception;
            if (ex != null) message = "Unexpected error:" + Environment.NewLine + ex.Message;
            else message = "Unknown error";
            MessageBox.Show(message, "ATC Voicepack Installer", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }
}
